package com.jenny.potionpills;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.RegistryObject;

public class BlockInit {
    public static final DeferredRegister<Block> BLOCKS = DeferredRegister.create(ForgeRegistries.BLOCKS, PotionPills.MODID);

    public static final RegistryObject<ExampleAdvancedBlock> EXAMPLE_BLOCK_ENTITY = BLOCKS.register("example_block_entity",
            () -> new ExampleAdvancedBlock(BlockBehaviour.Properties.copy(Blocks.CRAFTING_TABLE)));

    public static final RegistryObject<ExampleTickingBlock> EXAMPLE_TICKING_BLOCK = BLOCKS.register("example_ticking_block",
            () -> new ExampleTickingBlock(BlockBehaviour.Properties.copy(Blocks.CRAFTING_TABLE)));
}
