package com.jenny.potionpills;

import net.minecraft.core.BlockPos;
import net.minecraft.nbt.CompoundTag;
import net.minecraft.world.level.block.entity.BlockEntity;
import net.minecraft.world.level.block.state.BlockState;
import org.jetbrains.annotations.NotNull;

public class ExampleAdvancedBlockEntity extends BlockEntity {
    private int counter;
    public ExampleAdvancedBlockEntity(BlockPos pos, BlockState state) {
        super(BlockEntityInit.EXAMPLE_ADVANCED_BLOCK_ENTITY.get(), pos, state);
    }

    @Override
    public void load(@NotNull CompoundTag nbt) {
        super.load(nbt);
        this.counter = nbt.getInt("Counter");
    }

    @Override
    protected void saveAdditional(@NotNull CompoundTag nbt) {
        super.saveAdditional(nbt);
        nbt.putInt("Counter", this.counter);
    }

    public int incrementCounter() {
        this.counter++;
        setChanged();
        return this.counter;
    }

    public int getCounter() {
        return this.counter;
    }
}
